#!/bin/bash

if [ "x$SDCARD_WEBAPPS" = "x" ] ; then
  echo "Environment variable SDCARD_WEBAPPS undefined"
  echo "  => No valid directory to install to on Android device"
  echo "  => Did you run setup.bash before the Android device was in disk mode?"
  exit
fi


if [ ! -d $SDCARD_GSDL3HOME ] ; then
  # First time install has been run => do a full copy
  mode="Installing"

else
  # Only need to regenerate 'lib' folder
  mode="Updating"
fi

echo "#---"
echo "# $mode Android servlet version to "
echo "#   $SDCARD_GSDL3HOME/WEB-INF/lib"
echo "#---"
echo ""

if [ -d $SDCARD_GSDL3HOME/WEB-INF/lib ] ; then
  /bin/rm -rf $SDCARD_GSDL3HOME/WEB-INF/lib 
fi

/bin/cp -r lib $SDCARD_GSDL3HOME/WEB-INF/.
